Bug 1262515 (qbs) - Review Request: qbs - Qt Build Suite [NEEDINFO]
Summary: Review Request: qbs - Qt Build Suite
Keywords:
Status: NEW
Alias: qbs
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 979124 (view as bug list)
Depends On:
Blocks: FE-NEEDSPONSOR qt-reviews
TreeView+ depends on / blocked
 
Reported: 2015-09-12 01:43 UTC by Jake Petroules
Modified: 2020-07-10 00:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
package-review: needinfo? (jake.petroules)


Attachments (Terms of Use)

Description Jake Petroules 2015-09-12 01:43:38 UTC
I am taking over the qbs submission from Erik Schilling. Continued from https://bugzilla.redhat.com/show_bug.cgi?id=979124

Spec URL: https://raw.githubusercontent.com/jakepetroules/spec-qbs/1.4/qbs.spec
SRPM URL: (coming soon)

Comment 1 Raphael Groner 2015-09-13 10:07:58 UTC
*** Bug 979124 has been marked as a duplicate of this bug. ***

Comment 3 Erik Schilling 2015-09-13 11:28:35 UTC
Please upload your SRPM to a place which is accessible with a direct wget call.
That allows tools like fedora-review (https://fedorahosted.org/FedoraReview/) to automatically detect the SRPM. Also you cannot download the SRPM from koji after the build is done. And the spec file alone is not enough since patches and sources are not included there.

The SRPM is a package which basically contains the .spec file together with all its dependencies (sources and patches mainly).

Regards,
Erik

Comment 4 Upstream Release Monitoring 2015-09-28 03:18:38 UTC
jakepetroules's scratch build of qbs-1.4.2-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11248240

Comment 6 Jake Petroules 2015-10-18 19:54:49 UTC
So, how can we start moving this review process forward? This has already been in the works since 2012 or 2013 and I'd really like to get things moving.

Comment 7 Raphael Groner 2015-10-19 09:00:36 UTC
Generally, you can get sponsored into the packager group when you comment at some package reviews by yourself or become a co-maintainer of an existing package.
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Unfortunately, I can not sponsor you. Though are you interested in mono package reviews - besides Qt stuff?

Comment 8 Upstream Release Monitoring 2015-10-26 06:32:29 UTC
jakepetroules's scratch build of qbs-1.4.2-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11578571

Comment 9 Jake Petroules 2015-10-26 06:50:17 UTC
Raphael, I already have too much on my plate to get involved with the Mono package reviews.

Comment 11 Upstream Release Monitoring 2015-10-26 07:05:45 UTC
jakepetroules's scratch build of qbs-1.4.2-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11578581

Comment 12 Michael Schwendt 2016-12-24 10:10:39 UTC
(!) 404 not found for the src.rpm


> # Required for running the tests
> BuildRequires:  pkgconfig(Qt5Quick)
> BuildRequires:  glibc-static
> BuildRequires:  libstdc++-static

Hmmm. Does the comment above that also refer to the two -static packages?

Why would tests require linking statically?

Since BuildRequires apply to the entire package, the availability of the static libs in the buildroot can be problematic due to linking other executables statically (either accidentally, unknowingly or because of build defaults changing eventually). That would be something to avoid by adding guards or finding ways to eliminate static linking in those tests.

https://fedoraproject.org/wiki/Packaging:Guidelines#Statically_Linking_Executables

[...]

Has "fedora-review -b 1262515" been run for this ticket yet?

[...]

> %package doc
> %package examples

If these shall stay completely separate subpackages, consider fixing the directory ownership and %license usage for these packages.

* https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
* https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

Comment 13 Erik Schilling 2018-10-31 11:51:42 UTC
QBS unfortunately is deprecated now (https://blog.qt.io/blog/2018/10/29/deprecation-of-qbs/)

Comment 14 Package Review 2020-07-10 00:52:39 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.


Note You need to log in before you can comment on or make changes to this bug.